All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface DataSourceName

All Superinterfaces:
  CMetadata, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, RelationalSchema, java.rmi.Remote, Root

    public interface DataSourceName

extends RelationalSchema

Represents a data source name (DSN) that is a construct used by the SAS table server to identify a data source definition. A data source definition specifies how to locate and access a data source, including any authentication (such as a user name and password) that a user must supply in order to access the data and any properties used to connect to a particular data source or data sources. By using a DSN, a user can avoid specifying connection parameters to connect to a data source. An administrator can also configure a data source, determine the level of security, and share the DSN with others.

Attributes of DataSourceName are:

- `LogicalName`
- `Driver`

Associations of DataSourceName are:

- `ChildDataSources`
- `DataSourceConnection`
- `DefaultLogin`
- `ParentDataSources`

## Usage

To create an instance of this DataSourceName, use the `factory` create methods.
Example: create a DataSourceName with name "DataSourceName_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     DataSourceName myObject = (DataSourceName) factory.createComplexMetadataObject(objectStore, "DataSourceName_Object", MetadataObjects.DATASOURCENAME, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_CHILDDATASOURCES_NAME` Constant used for the name of the ChildDataSources association.
`static java.lang.String` | `ASSOCIATION_DATASOURCECONNECTION_NAME` Constant used for the name of the DataSourceConnection association.
`static java.lang.String` | `ASSOCIATION_DEFAULTLOGIN_NAME` Constant used for the name of the DefaultLogin association.
`static java.lang.String` | `ASSOCIATION_PARENTDATASOURCES_NAME` Constant used for the name of the ParentDataSources association.
`static java.lang.String` | `ATTRIBUTE_DRIVER_NAME` Constant used for the name of the Driver attribute.
`static java.lang.String` | `ATTRIBUTE_LOGICALNAME_NAME` Constant used for the name of the LogicalName attribute.

Fields inherited from interface com.sas.metadata.remote.RelationalSchema
`ASSOCIATION_SCHEMAPACKAGE_NAME, ASSOCIATION_TABLES_NAME`

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract AssociationList` | `getChildDataSources()` Gets the AssociationList of `ChildDataSources`
`abstract AssociationList` | `getChildDataSources(boolean fGoToServer)` Gets the Associationlist of `ChildDataSources`
`abstract Connection` | `getDataSourceConnection()` Gets the `Connection` for `DataSourceConnection`
`abstract AssociationList` | `getDataSourceConnections()` Gets the AssociationList of `DataSourceConnections`
`abstract AssociationList` | `getDataSourceConnections(boolean fGoToServer)` Gets the Associationlist of `DataSourceConnections`
`abstract Login` | `getDefaultLogin()` Gets the `Login` for `DefaultLogin`
`abstract AssociationList` | `getDefaultLogins()` Gets the Association list of `DefaultLogins`
`abstract AssociationList` | `getDefaultLogins(boolean fGoToServer)` Gets the Associationlist of `DefaultLogins`
`abstract java.lang.String` | `getDriver()` Gets the `String` value of `Driver`
`abstract int` | `getDriverMaxLength()` Gets the maximum length of `Driver`
`abstract int` | `getDriverState()` Gets the Metadata State of `Driver`
`abstract java.lang.String` | `getLogicalName()` Gets the `String` value of `LogicalName`
`abstract int` | `getLogicalNameMaxLength()` Gets the maximum length of `LogicalName`
`abstract int` | `getLogicalNameState()` Gets the Metadata State of `LogicalName`
`abstract AssociationList` | `getParentDataSources()` Gets the Association list of `ParentDataSources`
`abstract AssociationList` | `getParentDataSources(boolean fGoToServer)` Gets the Associationlist of `ParentDataSources`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `ChildDataSources` `DataSourceConnection`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setChildDataSources(AssociationList list)` Sets the `ChildDataSources` list to be `list`.
`abstract void` | `setChildDataSources(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setDataSourceConnection(Connection inObject)` Sets the `DataSourceConnections` list 0th element to be `inObject`.
`abstract void` | `setDataSourceConnections(AssociationList list)` Sets the `DataSourceConnections` list to be `list`.
`abstract void` | `setDataSourceConnections(AssociationList list, int state)` Sets the `DataSourceConnections` list to be `list`.
`abstract void` | `setDefaultLogin(Login inObject)` Sets the `DefaultLogins` list 0th element to be `inObject`.
`abstract void` | `setDefaultLogins(AssociationList list)` Sets the `DefaultLogins` list to be `list`.
`abstract void` | `setDefaultLogins(AssociationList list, int state)` Sets the `DefaultLogins` list to be `list`.
`abstract void` | `setDriver(java.lang.String inDriver)` Sets the `Driver` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setDriver(java.lang.String inDriver, int state)` Sets the `Driver` Metadata State.
`abstract void` | `setDriverState(int state)` Sets the Metadata State of `Driver`.
`abstract void` | `setLogicalName(java.lang.String inLogicalName)` Sets the `LogicalName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setLogicalName(java.lang.String inLogicalName, int state)` Sets the `LogicalName` Metadata State.
`abstract void` | `setLogicalNameState(int state)` Sets the Metadata State of `LogicalName`.
`abstract void` | `setParentDataSources(AssociationList list)` Sets the `ParentDataSources` list to be `list`.
`abstract void` | `setParentDataSources(AssociationList inObjects, int state)` Sets the entire ParentDataSources list to match the passed in AssociationList, sets the state of the ParentDataSources

Methods inherited from interface com.sas.metadata.remote.RelationalSchema
`getSchemaPackage, getSchemaPackages, getSchemaPackages, getTables, getTables, setSchemaPackage, setSchemaPackages, setSchemaPackages, setTables, setTables`

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_LOGICALNAME_NAME

    static final java.lang.String ATTRIBUTE_LOGICALNAME_NAME

  Constant used for the name of the LogicalName attribute.

  LogicalName: The name used to reference this DSN.

  See Also:
    Constant Field Values

### ATTRIBUTE_DRIVER_NAME

    static final java.lang.String ATTRIBUTE_DRIVER_NAME

  Constant used for the name of the Driver attribute.

  Driver: The driver used to implement this DSN.

  See Also:
    Constant Field Values

### ASSOCIATION_CHILDDATASOURCES_NAME

    static final java.lang.String ASSOCIATION_CHILDDATASOURCES_NAME

  Constant used for the name of the ChildDataSources association.

  ChildDataSources: The data source names that are nested as part of the root data source name.

  See Also:
    Constant Field Values

### ASSOCIATION_DATASOURCECONNECTION_NAME

    static final java.lang.String ASSOCIATION_DATASOURCECONNECTION_NAME

  Constant used for the name of the DataSourceConnection association.

  DataSourceConnection: The connection used for this data source name.

  See Also:
    Constant Field Values

### ASSOCIATION_DEFAULTLOGIN_NAME

    static final java.lang.String ASSOCIATION_DEFAULTLOGIN_NAME

  Constant used for the name of the DefaultLogin association.

  DefaultLogin: The default login used by this data source name.

  See Also:
    Constant Field Values

### ASSOCIATION_PARENTDATASOURCES_NAME

    static final java.lang.String ASSOCIATION_PARENTDATASOURCES_NAME

  Constant used for the name of the ParentDataSources association.

  ParentDataSources: The data source name that act as the parent for this data source name. Note that the hierarchy should not be traversed from this side of the association since this data source name may be part of more than one hierarchy.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `RelationalSchema`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `ChildDataSources`
  `DataSourceConnection`

  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `RelationalSchema`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLogicalName

    java.lang.String getLogicalName()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `LogicalName`

  Returns:
    The `LogicalName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLogicalNameState

    int getLogicalNameState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `LogicalName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLogicalNameMaxLength

    int getLogicalNameMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `LogicalName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDriver

    java.lang.String getDriver()
                               throws java.rmi.RemoteException

  Gets the `String` value of `Driver`

  Returns:
    The `Driver`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDriverState

    int getDriverState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Driver`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDriverMaxLength

    int getDriverMaxLength()
                           throws java.rmi.RemoteException

  Gets the maximum length of `Driver`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getChildDataSources

    AssociationList getChildDataSources()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `ChildDataSources`

  Returns:
    Returns the AssociationList of `ChildDataSources` which can be of type:
    DataSourceName
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDataSourceConnections

    AssociationList getDataSourceConnections()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `DataSourceConnections`

  Returns:
    Returns the AssociationList of `DataSourceConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getDataSourceConnection

    Connection getDataSourceConnection()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the `Connection` for `DataSourceConnection`

  Returns:
    The `Connection` ( `null` if not set) of `DataSourceConnection`which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDefaultLogins

    AssociationList getDefaultLogins()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Association list of `DefaultLogins`

  Returns:
    The AssociationList of `DefaultLogins` which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDefaultLogin

    Login getDefaultLogin()
                          throws java.rmi.RemoteException,
                                 MdException

  Gets the `Login` for `DefaultLogin`

  Returns:
    The `Login` ( `null` if not set ) of `DefaultLogin` which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getParentDataSources

    AssociationList getParentDataSources()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `ParentDataSources`

  Returns:
    The AssociationList of `ParentDataSources` which can be of type:
    DataSourceName
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getChildDataSources

    AssociationList getChildDataSources(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `ChildDataSources`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ChildDataSources` which can be of type:
    DataSourceName
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDataSourceConnections

    AssociationList getDataSourceConnections(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `DataSourceConnections`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DataSourceConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDefaultLogins

    AssociationList getDefaultLogins(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `DefaultLogins`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `DefaultLogins` which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getParentDataSources

    AssociationList getParentDataSources(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `ParentDataSources`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ParentDataSources` which can be of type:
    DataSourceName
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setLogicalName

    void setLogicalName(java.lang.String inLogicalName)
                        throws java.rmi.RemoteException

  Sets the `LogicalName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLogicalName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLogicalName

    void setLogicalName(java.lang.String inLogicalName,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `LogicalName` Metadata State.

  Parameters:
    `inLogicalName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLogicalNameState

    void setLogicalNameState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `LogicalName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDriver

    void setDriver(java.lang.String inDriver)
                   throws java.rmi.RemoteException

  Sets the `Driver` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inDriver` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDriver

    void setDriver(java.lang.String inDriver,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Driver` Metadata State.

  Parameters:
    `inDriver` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDriverState

    void setDriverState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Driver`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChildDataSources

    void setChildDataSources(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `ChildDataSources` list to be `list`. Objects of which can be of type:
  DataSourceName

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChildDataSources

    void setChildDataSources(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDataSourceConnections

    void setDataSourceConnections(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `DataSourceConnections` list to be `list`. Object of which can be of type:
  Connection
  SASClientConnection
  OpenClientConnection
  TCPIPConnection
  COMConnection

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDataSourceConnections

    void setDataSourceConnections(AssociationList list,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `DataSourceConnections` list to be `list`. Object of which can be of type:
  Connection
  SASClientConnection
  OpenClientConnection
  TCPIPConnection
  COMConnection

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDataSourceConnection

    void setDataSourceConnection(Connection inObject)
                                 throws java.rmi.RemoteException

  Sets the `DataSourceConnections` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Connection
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogins

    void setDefaultLogins(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `DefaultLogins` list to be `list`. Objects of which can be of type:
  Login

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogins

    void setDefaultLogins(AssociationList list,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `DefaultLogins` list to be `list`. Objects of which can be of type:
  Login

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogin

    void setDefaultLogin(Login inObject)
                         throws java.rmi.RemoteException

  Sets the `DefaultLogins` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Login
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setParentDataSources

    void setParentDataSources(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `ParentDataSources` list to be `list`. Objects of which can be of type:
  DataSourceName

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setParentDataSources

    void setParentDataSources(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire ParentDataSources list to match the passed in AssociationList, sets the state of the ParentDataSources

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.